/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import { Liquid } from 'liquidjs';
export declare class LiquidEngine extends Liquid {
    constructor(options: any);
    /**
     * 将路径数组转为 Liquid 模板上下文对象
     * @param {string[]} paths - 如 ['ctx.user.name', 'ctx.order.total']
     * @returns {object} 形如 { user: { name: '{{ctx.user.name}}' }, order: {...} }
     */
    transformLiquidContext(paths?: any[]): {};
    /**
     * 渲染模板
     * @param {string} template - Liquid 模板字符串
     * @param {object} context - 模板上下文变量
     * @returns {Promise<string>} 渲染后的字符串
     */
    render(template: any, context?: {}): Promise<any>;
    isFieldUsed(field: any, paths: any): any;
    enrichArrayFieldsSelective(obj: any, vars: any): void;
    /**
     * 合并步骤：获取变量 -> 构建 context -> 解析 -> 渲染
     * @param {string} template Liquid 模板字符串
     * @param {context} ctx flowContext
     */
    renderWithFullContext(template: any, ctx: any): Promise<any>;
}
